@import url("https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

* {
  box-sizing: border-box;
  color: #3b2a40;
  padding: 0;
  margin: 0;
  scroll-behavior: smooth;
}

html,
body {
  overflow-x: hidden;
  box-sizing: border-box;
  background-color: #faf6f1;
  font-family: "Montserrat", sans-serif;
  height: 100lvh;
  display: flex;
  flex-direction: column;
}

main {
  flex-grow: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  position: relative;
  margin-top: 40px;
  gap: 30px;
}

/* Remove estado ativo */

a:active,
a:focus {
  transform: none !important;
}

a {
  text-decoration: none;
}

a,
button,
input,
textarea,
* {
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  user-select: none;
  outline: none !important;
}

button {
  cursor: pointer;
  background-color: transparent;
  border: 0;
}

.container {
  width: 90lvw;
  height: 100%;
  max-width: 1440px;
  margin: auto;
}

/*HEADER*/

header {
  height: 80px;
  width: 100lvw;
  position: absolute;
}

.header {
  height: 100%;
  display: flex;
  justify-content: end;
  align-items: center;
}

.header i {
  font-size: 28px;
  color: #404040;
}

.header .compartilhar {
  cursor: pointer;
  z-index: 1;
}

/*SECTION-PERFIL*/

.section-perfil .perfil {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.section-perfil .image img {
  width: 180px;
}

.section-perfil h3 {
  text-align: center;
  font-size: small;
  text-transform: uppercase;
  font-weight: 500;
  width: 90%;
  letter-spacing: 2px;
}

/*SECTION-LINKS*/

.section-links .links {
  width: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 30px;
}

.section-links .links a {
  width: 90%;
  max-width: 400px;
  background: rgba(255, 154, 225, 0.774);
  display: flex;
  justify-content: center;
  padding: 14px 0;
  border-radius: 25px;
  border: solid 2px transparent;
}

.section-links .links a:hover {
  border: solid 2px rgb(255, 154, 225);
  background-color: rgb(255, 223, 246);
}

.section-links .links a button {
  font-size: 17px;
  font-family: "DM Sans", sans-serif;
  text-transform: uppercase;
}

/*FOOTER*/

footer {
  width: 100lvw;
  height: 80px;
}

.footer {
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
}

/*AREA DE RESPONSIVIDADE*/

@media (min-height: 1200px) {
  main {
    gap: 35px;
  }

  .section-perfil .perfil {
    gap: 25px;
  }

  .section-perfil .image img {
    width: 220px;
  }

  .section-links .links {
    gap: 25px;
  }

  .section-links .links a {
    max-width: 500px;
    border-radius: 30px;
    padding: 20px 0;
  }

  .section-perfil h2 {
    font-size: xx-large;
  }

  .section-perfil h3 {
    font-size: medium;
  }

  .footer {
    font-size: larger;
  }
}

@media (max-height: 732px) {
  main {
    gap: 20px;
  }

  .section-perfil .perfil {
    gap: 14px;
  }

  .section-perfil .image img {
    width: 160px;
  }

  .section-links .links {
    gap: 15px;
  }

  .section-links .links a {
    padding: 12px 0;
  }
}
